<p align="center">
  <br/>
  <a href="https://nexusjs.org"><img src="https://dsc.cloud/661643/nexus-logo-circle.png" height="150px"></a>
  <h1 align="center">Nexus</h1>
</p>
<br />
<p align="center">
  <img src="https://github.com/graphql-nexus/nexus/workflows/trunk/badge.svg" />
</p>
<p align="center">
  <span><strong>Code-First Type-Safe GraphQL Framework</strong></span>
  <br/>
  <span>Made with ♥️ by <a href="https://www.prisma.io/">Prisma</a> • Nexus Schema originally by <a href="https://github.com/tgriesser">Tim Griesser</a></span>
</p>
<div align="center">

[Tweets](https://nxs.li/tweets) // [Discussions](https://nxs.li/discussions) // [Issues](https://nxs.li/issues) // [Changelog](https://nxs.li/changelog) ([canary](https://nxs.li/changelog/canary)) // [Repo](https://nxs.li/repo)

</div>

<br/>
<br/>

Nexus is a [Node.js](https://nodejs.org) [TypeScript](https://www.typescriptlang.org/)-focused [code-first](https://www.prisma.io/blog/series/what-is-nexus-wsobadcm7oju) [GraphQL](https://graphql.org/) framework. It has three complementary aspects that you interact with:

1. An API for building your fully featured GraphQL API. All features include a focus on type-safety autocompletion and jsDoc.
2. A CLI for supporting your daily workflows while working.
3. A plugin system spaning API _and_ CLI for rich end-to-end plugins that you can use (or write) to fill in your niche needs.

Nexus is young, but growing fast. Every two weeks [a new release is cut](https://nxs.li/changelog) and we have a [roadmap](https://github.com/orgs/graphql-nexus/projects/1).

## Quickstart

```
npx nexus
```

## Documentation

Checkout our website https://nxs.li/docs.

## Links

- [nxs.li/docs](https://nxs.li/docs)
- [nxs.li/tweets](https://nxs.li/tweets)
- [nxs.li/issues](https://nxs.li/issues)
- [nxs.li/discussions](https://nxs.li/discussions)
- [nxs.li/changelog](https://nxs.li/changelog) ([canary](https://nxs.li/changelog/canary))
- [nxs.li/contributing](https://nxs.li/contributing)

## Repo / Package Overview

![Repos & Packages Diagram](https://dsc.cloud/661643/repos-and-packages.png)

## License

MIT License
